from os import listdir
from mongokit import Connection
from models import Paper

class MongoInserter(object):

  def __init__(self):
    self.connection = Connection()
    self.connection.register([Paper])

  def store_docs(self, directory, text_field, collection=None):
    for filename in (listdir(directory)):
      if collection is None:
        doc = self.connection.Paper()
      else:
        doc = self.connection.predsynth[collection].Paper()

      with open(directory + '/' + filename) as file:
        doc[text_field] = unicode(file.read().decode('latin')) #Encoding of special characters
        doc.save()
    print 'All files saved to MongoDB!'
